<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFChart (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFChart (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":9,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFChart.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFChartType.html"
               title="enum in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFChart.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFChart.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFChart" class="title">Class HSSFChart</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFChart</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFChart</span>
extends java.lang.Object</pre>
                <div class="block">Has methods for construction of a chart object.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Glen Stampoultzis (glens at apache.org)</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFChartType.html"
                                        title="enum in org.apache.poi.hssf.usermodel">HSSFChart.HSSFChartType</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChart.HSSFSeries</a></span></code>
                                    <div class="block">A series in a chart</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#createBarChart-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-">createBarChart</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;parentSheet)</code>
                                    <div class="block">Creates a bar chart.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChart.HSSFSeries</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#createSeries--">createSeries</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#getChartHeight--">getChartHeight</a></span>()</code>
                                    <div class="block">Get the height of the chart.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#getChartTitle--">getChartTitle</a></span>()</code>
                                    <div class="block">Returns the chart's title, if there is one,
                                        or null if not
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#getChartWidth--">getChartWidth</a></span>()</code>
                                    <div class="block">Get the width of the chart.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#getChartX--">getChartX</a></span>()</code>
                                    <div class="block">Get the X offset of the chart</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#getChartY--">getChartY</a></span>()</code>
                                    <div class="block">Get the Y offset of the chart</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChart.HSSFSeries</a>[]</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#getSeries--">getSeries</a></span>()</code>
                                    <div class="block">Returns the series of the chart</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChart</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#getSheetCharts-org.apache.poi.hssf.usermodel.HSSFSheet-">getSheetCharts</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>
                                    <div class="block">Returns all the charts for the given sheet.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFChartType.html"
                                        title="enum in org.apache.poi.hssf.usermodel">HSSFChart.HSSFChartType</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#getType--">getType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#removeSeries-org.apache.poi.hssf.usermodel.HSSFChart.HSSFSeries-">removeSeries</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChart.HSSFSeries</a>&nbsp;remSeries)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#setChartHeight-int-">setChartHeight</a></span>(int&nbsp;height)</code>
                                    <div class="block">Sets the height of the chart.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#setChartTitle-java.lang.String-">setChartTitle</a></span>(java.lang.String&nbsp;title)</code>
                                    <div class="block">Changes the chart's title, but only if there
                                        was one already.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#setChartWidth-int-">setChartWidth</a></span>(int&nbsp;width)</code>
                                    <div class="block">Sets the width of the chart.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#setChartX-int-">setChartX</a></span>(int&nbsp;x)</code>
                                    <div class="block">Sets the X offset of the chart</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#setChartY-int-">setChartY</a></span>(int&nbsp;y)</code>
                                    <div class="block">Sets the Y offset of the chart</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#setValueRange-int-java.lang.Double-java.lang.Double-java.lang.Double-java.lang.Double-">setValueRange</a></span>(int&nbsp;axisIndex,
                                    java.lang.Double&nbsp;minimum,
                                    java.lang.Double&nbsp;maximum,
                                    java.lang.Double&nbsp;majorUnit,
                                    java.lang.Double&nbsp;minorUnit)</code>
                                    <div class="block">Set value range (basic Axis Options)</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createBarChart-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createBarChart</h4>
                                <pre>public&nbsp;void&nbsp;createBarChart(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                           <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                              title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;parentSheet)</pre>
                                <div class="block">Creates a bar chart. API needs some work. :)
                                    <p>
                                        NOTE: Does not yet work... checking it in just so others
                                        can take a look.</div>
                            </li>
                        </ul>
                        <a name="getSheetCharts-org.apache.poi.hssf.usermodel.HSSFSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetCharts</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChart</a>[]&nbsp;getSheetCharts(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</pre>
                                <div class="block">Returns all the charts for the given sheet.

                                    NOTE: You won't be able to do very much with
                                    these charts yet, as this is very limited support
                                </div>
                            </li>
                        </ul>
                        <a name="getChartX--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartX</h4>
                                <pre>public&nbsp;int&nbsp;getChartX()</pre>
                                <div class="block">Get the X offset of the chart</div>
                            </li>
                        </ul>
                        <a name="getChartY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartY</h4>
                                <pre>public&nbsp;int&nbsp;getChartY()</pre>
                                <div class="block">Get the Y offset of the chart</div>
                            </li>
                        </ul>
                        <a name="getChartWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartWidth</h4>
                                <pre>public&nbsp;int&nbsp;getChartWidth()</pre>
                                <div class="block">Get the width of the chart. <a
                                        href="../../../../../org/apache/poi/hssf/record/chart/ChartRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart"><code>ChartRecord</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="getChartHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartHeight</h4>
                                <pre>public&nbsp;int&nbsp;getChartHeight()</pre>
                                <div class="block">Get the height of the chart. <a
                                        href="../../../../../org/apache/poi/hssf/record/chart/ChartRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart"><code>ChartRecord</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="setChartX-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChartX</h4>
                                <pre>public&nbsp;void&nbsp;setChartX(int&nbsp;x)</pre>
                                <div class="block">Sets the X offset of the chart</div>
                            </li>
                        </ul>
                        <a name="setChartY-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChartY</h4>
                                <pre>public&nbsp;void&nbsp;setChartY(int&nbsp;y)</pre>
                                <div class="block">Sets the Y offset of the chart</div>
                            </li>
                        </ul>
                        <a name="setChartWidth-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChartWidth</h4>
                                <pre>public&nbsp;void&nbsp;setChartWidth(int&nbsp;width)</pre>
                                <div class="block">Sets the width of the chart. <a
                                        href="../../../../../org/apache/poi/hssf/record/chart/ChartRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart"><code>ChartRecord</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="setChartHeight-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChartHeight</h4>
                                <pre>public&nbsp;void&nbsp;setChartHeight(int&nbsp;height)</pre>
                                <div class="block">Sets the height of the chart. <a
                                        href="../../../../../org/apache/poi/hssf/record/chart/ChartRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart"><code>ChartRecord</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="getSeries--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSeries</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChart.HSSFSeries</a>[]&nbsp;getSeries()</pre>
                                <div class="block">Returns the series of the chart</div>
                            </li>
                        </ul>
                        <a name="getChartTitle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartTitle</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getChartTitle()</pre>
                                <div class="block">Returns the chart's title, if there is one,
                                    or null if not
                                </div>
                            </li>
                        </ul>
                        <a name="setChartTitle-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChartTitle</h4>
                                <pre>public&nbsp;void&nbsp;setChartTitle(java.lang.String&nbsp;title)</pre>
                                <div class="block">Changes the chart's title, but only if there
                                    was one already.
                                    TODO - add in the records if not
                                </div>
                            </li>
                        </ul>
                        <a name="setValueRange-int-java.lang.Double-java.lang.Double-java.lang.Double-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setValueRange</h4>
                                <pre>public&nbsp;void&nbsp;setValueRange(int&nbsp;axisIndex,
                          java.lang.Double&nbsp;minimum,
                          java.lang.Double&nbsp;maximum,
                          java.lang.Double&nbsp;majorUnit,
                          java.lang.Double&nbsp;minorUnit)</pre>
                                <div class="block">Set value range (basic Axis Options)</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>axisIndex</code> - 0 - primary axis, 1 - secondary axis</dd>
                                    <dd><code>minimum</code> - minimum value; Double.NaN - automatic; null - no change
                                    </dd>
                                    <dd><code>maximum</code> - maximum value; Double.NaN - automatic; null - no change
                                    </dd>
                                    <dd><code>majorUnit</code> - major unit value; Double.NaN - automatic; null - no
                                        change
                                    </dd>
                                    <dd><code>minorUnit</code> - minor unit value; Double.NaN - automatic; null - no
                                        change
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createSeries--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSeries</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChart.HSSFSeries</a>&nbsp;createSeries()
                                  throws java.lang.Exception</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeSeries-org.apache.poi.hssf.usermodel.HSSFChart.HSSFSeries-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeSeries</h4>
                                <pre>public&nbsp;boolean&nbsp;removeSeries(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFChart.HSSFSeries</a>&nbsp;remSeries)</pre>
                            </li>
                        </ul>
                        <a name="getType--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getType</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFChartType.html"
                                        title="enum in org.apache.poi.hssf.usermodel">HSSFChart.HSSFChartType</a>&nbsp;getType()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFChart.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFChartType.html"
               title="enum in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFChart.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFChart.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
